Subject: Re: Trouble building ncurses 1.9.9g.
From: [email-masked] (Michael Hirmke)

9 Dec 1997 14:02:05 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

Hi Bruce,

>I have been trying to build ncurses_1.9.9g under cygwin32 b18.5 & NT4.0.
>It appears to build O.K. but when I try and run any of the test programs
>I get: Error opening terminal: linux.

This happens, because the termlib database hasn't been built correctly,
as your messages below indicate.

[...]
>  sh ./run_tic.sh /usr/local/bin . /usr/local/share/terminfo
>  ** Building terminfo database, please wait...
>  ** adjusting tabset paths
>  "/tmp/7863", line 268, terminal 'unknown': resolution of use=dumb failed
[...]
>
>Please forgive me if these errors should blatantly tell me what is amiss.
>I'm not a unix person or Winnt person.  I have searched the mailing list
>archives and haven't gotten any clues from there.  Any comments?

Yes, delete the source tree for curses, remount (at least) the partition
you are compiling on as binary, unpack the source package for curses again
and recompile it.

>
>regards :-)
>Bruce S. Skinner

Bye.
Michael.
--
Michael Hirmke           | Telefon +49 (911) 557999
Georg-Strobel-Strasse 81 | FAX     +49 (911) 557664
90489 Nuernberg          | E-Mail  mailto:[email-masked]
                         | WWW     http://minimike.franken.de/
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".